--- title: "Get member list" slug: "mediaconnectcenter-memberlistview" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/mediaconnectcenter-memberlistview" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get member list Available in Classic and VPC Get the member list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /ncloudmcc/v1/companies/{companyId}/users | ### Request headers For information about the headers common to all Media Connect Center APIs, see [Media Connect Center request headers](/docs/en/mediaconnectcenter-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `companyId` | String | Required | Integration key - Check from console: **Media Connect Center > Developers > Basic settings > Integration key** | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `limit` | Number | Optional | Maximum item count of query data - Default: 10 | | `offset` | Number | Optional | Start location of query data - Default: 0 | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloudmcc.apigw.ntruss.com/ncloudmcc/v1/companies/2b64fc1e-6e9c-40dc-8b40-991bcaada5ef/users?limit=3&offset=0' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Object | - | Page information | | `page.count` | Number | - | Number of response results | | `page.offset` | Number | - | Start location of query data | | `page.limit` | Number | - | Maximum item count of query data | | `page.total` | Number | - | Total response count | | `users` | Array | - | Member list: [users](/docs/en/mediaconnectcenter-memberlistview#users) | #### `users` The following describes `users`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `deptExternalKey` | String | - | External department key | | `name` | String | - | Member name | | `i18nNames` | Object | - | Member multilingual name | | `i18nNames.{locale}` | String | - | Member name by language - `"Language code": "Value"` format - Display the registered value among Korean, English, and Japanese. | | `emailAddr` | String | - | Email address (login ID) | | `telNo` | String | - | Phone number - `{ISO 3166-1 country code}+{E.164 country number} {Phone number}` format | | `cphNo` | String | - | Mobile phone number - `{ISO 3166-1 country code}+{E.164 country number} {Phone number}` format | | `localeTypeCd` | String | - | Locale code | | `tmznTypeCd` | String | - | Time zone codes | | `jobPositionExternalKey` | String | - | Job position external key | | `jobGradeExternalKey` | String | - | Job title external key | | `externalKey` | String | - | Member external key | ### Response status codes For information about the HTTP status codes common to all Media Connect Center APIs, see [Media Connect Center response status codes](/docs/en/mediaconnectcenter-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "page": { "count": 3, "offset": 0, "limit": 3, "total": 4 }, "users": [ { "deptExternalKey": "hg-tw", "name": "CEO Na", "i18nNames": { "ko_KR": "나사장", "en_US": "Na Sajang" }, "emailAddr": "iamsajang@ncloud.com", "telNo": "KR+82 021231212", "cphNo": "KR+82 01098765432", "localeTypeCd": "ko_KR", "tmznTypeCd": "Asia/Seoul", "jobPositionExternalKey": "hg-pstn-1", "jobGradeExternalKey": "hg-grade-1", "externalKey": "hg-user003" }, { "deptExternalKey": "hg-tw-cd", "name": "Employee", "i18nNames": { "ko_KR": "회사원", "en_US": "Hoi Sawon" }, "emailAddr": "sawon@ncloud.com", "telNo": "KR+82 021239876", "cphNo": "KR+82 01012349999", "localeTypeCd": "ko_KR", "tmznTypeCd": "Asia/Seoul", "jobPositionExternalKey": "hg-pstn-6", "jobGradeExternalKey": "hg-grade-6", "externalKey": "hg-user002" }, { "deptExternalKey": "hg-tw-cd", "name": "Gildong Hong", "i18nNames": { "ko_KR": "홍길동", "en_US": "Hong Gildong" }, "emailAddr": "gdong@ncloud.com", "telNo": "KR+82 0213572468", "cphNo": "KR+82 01012345678", "localeTypeCd": "ko_KR", "tmznTypeCd": "Asia/Seoul", "jobPositionExternalKey": "hg-pstn-6", "jobGradeExternalKey": "hg-grade-6", "externalKey": "hg-user001" } ] } ```